/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ab0pr2_cv4.telefonniSeznam.model;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

/**
 *viz minule cviceni
 * @author hapallen
 */
public class TelefonniSeznamObecny<T extends Polozka> {

    private int pozice = 0;
    List<T> seznam = new LinkedList<T>();

    public void vloz(T p) {
        this.seznam.add(p);
    }

    public boolean obsahuje(T p) {
        return seznam.contains(p);
    }

    public void vypis() {
        for (T p : seznam) {
            System.out.println(p);
        }
    }

    private T vrat(int i) {
        if (i < 0 || i > seznam.size() - 1) {
            return null;
        }
        return seznam.get(i);
    }

    public T vratAktualni() {
        return vrat(pozice);
    }



    public boolean isKonec() {
        return (seznam.size() == 0 || pozice == seznam.size() - 1);
    }

    public boolean isZacatek() {
        return (pozice == 0);
    }

    public void vpred(){
        if(!isKonec()){
            pozice++;
        }
    }

    public void vzad(){
        if(!isZacatek()){
            pozice--;
        }

    }

/*
    public static void main(String[] args) {
        TelefonniSeznamObecny<Polozka> ts = new TelefonniSeznamObecny<Polozka>();
        ts.vloz(new Polozka(1, "adad"));
        ts.vloz(new Polozka(2, "jjjjj"));
        Collections.sort(ts.seznam);
        ts.vypis();

        //TelefonniSeznamObecny<Integer> tsInteger = new TelefonniSeznamObecny<Integer>();
        //tsInteger.vloz(Integer.SIZE);
        //tsInteger.vloz(4); // autoboxing - z int je automaticky Integer
        //Collections.sort(tsInteger.seznam);
        //tsInteger.vypis();
    }
 
 */
}
